Description

The context of this task is the extension of the gammalib to allow the analysis of data from Cherenkov telescopes in a way currently

adopted by the HESS/VERITAS/MAGIC collaborations: the ON and OFF technique, which can be used in different ways. As a first

step, we focus on the spectral analysis of a source observed i wobble mode, with the reflected region background evaluation method

(see Berge et al. 2007).

A first step toward this is to implement a class to define regions over the sky. Following some discussion, three class headers have

been written:

- An abstract class interface GSkyRegion

- A derived class GSkyRegionCircle for a circular region

- A sky region container GSkyRegions

These are very likely perfectible and the immediate objective is to refine the interface and fill in their functionalities during the coding

sprint to be held in Toulouse on 24-28 June 2013.

The philosophy is explained in the comment section of each class header, which also contains a list of points to be

clarified/discussed.

Note: a related wiki started some time ago is [[GRegion]]

Subtasks:

Action # 557: Implement derived GRegion classes Rejected

Action # 553: Define interface for region classes. Rejected

Action # 556: Implement GRegion virtual base class Rejected

Action # 555: Implement GRegions class. Rejected

Action # 554: Write test case for region classes. Rejected

Action # 535: Preliminary discussion Closed

Action # 904: Implement GSkyRegion abstract class Closed

Action # 905: Implement GSkyRegionCircle derived class Closed

Action # 918: Implement GSkyRegionCircle unit test Closed

Action # 919: Implement GSkyRegions unit test Closed

Action # 906: Implement GSkyRegions container class Closed

History

#1 - 06/23/2013 02:38 PM - Martin Pierrick

- Due date set to 06/23/2013

due to changes in a related task

#2 - 06/23/2013 04:25 PM - Martin Pierrick

- Description updated

#3 - 11/03/2013 02:07 AM - Knödlseder Jürgen

- Status changed from New to Closed
GSkyRegion.hpp 5.88 KB 06/21/2013 Martin Pierrick

GSkyRegionCircle.hpp 5.65 KB 06/21/2013 Martin Pierrick

GSkyRegions.hpp 6.53 KB 06/21/2013 Martin Pierrick
